> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Lists API keys

# List

For the complete error reference, see [Error Guide](/articles/error-guide).


## OpenAPI

````yaml get /apikeys
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /apikeys:
    get:
      tags:
        - API Keys
      summary: List
      description: Lists API keys
      operationId: list-apikeys
      parameters:
        - name: scope
          in: query
          description: 'Scope of the apikey. Available values: fullAccess, authOnly'
          schema:
            type: string
            enum:
              - fullAccess
              - authOnly
            description: >-
              API key scope. fullAccess: all operations. authOnly: user auth
              only.
        - name: searchKey
          in: query
          description: Searches for specified keyword in name
          schema:
            type: string
      responses:
        '200':
          description: Lists API keys
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        apiKey:
                          type: string
                        name:
                          type: string
                        scope:
                          type: string
                        createdAt:
                          type: integer
                  meta:
                    type: object
                type: object
              example:
                data:
                  - apiKey: fcf32d085482db7ef10e971967d70a91cdb6677a
                    name: John's apiKey
                    scope: authOnly
                    createdAt: 1631095584
                  - apiKey: 0f40b2c254f33d429b1fca5e0eb1cef72c594ddc
                    name: Auth Key
                    scope: authOnly
                    createdAt: 1629869272
                  - apiKey: 495318bc2e137fb2decf17078abd169a7bd50c8b
                    name: Rest API Key
                    scope: fullAccess
                    createdAt: 1629869272
                meta:
                  pagination:
                    total: 3
                    count: 3
                    per_page: 100
                    current_page: 1
                    total_pages: 1
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````